/*
 * Class ACTIVE [REAL_64]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_336 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_336 [] = {0xFF01,237,335,194,0xFFFF};
static const EIF_TYPE_INDEX egt_2_336 [] = {0xFF01,335,194,0xFFFF};
static const EIF_TYPE_INDEX egt_3_336 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_336 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_336 [] = {0xFF01,335,194,0xFFFF};
static const EIF_TYPE_INDEX egt_6_336 [] = {0xFF01,335,194,0xFFFF};
static const EIF_TYPE_INDEX egt_7_336 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_336 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_336 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_336 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_336 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_336 [] = {335,194,0xFFFF};
static const EIF_TYPE_INDEX egt_13_336 [] = {0xFF01,335,194,0xFFFF};
static const EIF_TYPE_INDEX egt_14_336 [] = {0xFF01,333,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_336 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_336 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_336[] = {
	{EIF_GENERIC(NULL), 1988, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_336), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_336), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_336), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_336), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_336), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_336), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_336), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_336), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_336), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_336), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_336), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_336), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_336), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_336), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1855, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1856, 0},
	{EIF_NON_GENERIC(0x017F /*191*/), 1857, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1858, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1859, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_336), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_336), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1926, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1927, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1928, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_336), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 1989, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), -1, 0xFFFFFFFF},
};
void Init336(void)
{
	IDSC(desc_336, 0, 335);
	IDSC(desc_336 + 1, 1, 335);
	IDSC(desc_336 + 32, 77, 335);
	IDSC(desc_336 + 41, 282, 335);
	IDSC(desc_336 + 50, 243, 335);
	IDSC(desc_336 + 56, 229, 335);
}


#ifdef __cplusplus
}
#endif
